Subject: bug#24911: 25.1; Emacs hangs or crashes on use of read syntax for circular objects in IELM

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Nov 2016 18:30:53 +0200

> From: Gemini Lasswell <[email-masked]>
> Date: Wed, 09 Nov 2016 12:03:47 -0800
> 
> Typing an example from the "Read Syntax for Circular Objects" section of
> the manual into IELM can cause Emacs to hang or crash. I can reproduce
> this fairly consistently with an Emacs built from master on my machine. It
> took me several tries, but I was also able to reproduce it with the Emacs
> 25.1 installed by homebrew. Here are the steps:
> 
> emacs -Q
> M-x ielm RET
> #1=(a #1#) RET
> C-p C-p RET
> 
> Result: (on OS X) rainbow spinning mouse cursor, unresponsive Emacs

I get an error when I type the first line at IELM prompt:

  *** Eval error ***  Symbol’s function definition is void: a